# loki.transformations.array_indexing.tests.test_array_demote

Functions

`test_transform_demote_dimension_arguments`(...) | Apply variable demotion to array arguments defined with DIMENSION keywords.
`test_transform_demote_variables`(tmp_path, ...) | Apply variable demotion to a range of array variables.

test_transform_demote_variables(tmp_path, frontend)

  Apply variable demotion to a range of array variables.

test_transform_demote_dimension_arguments(tmp_path, frontend)

  Apply variable demotion to array arguments defined with DIMENSION keywords.